opencv: cv::SIFT Class Reference

Classes | Public Member Functions | Protected Attributes

# cv::SIFT Class Reference

`#include <features2d.hpp>`

List of all members.

## Classes
struct | CommonParams
struct | DescriptorParams
struct | DetectorParams
## Public Member Functions
int | descriptorSize () const
| returns the descriptor size in floats (128)
CommonParams | getCommonParams () const
DescriptorParams | getDescriptorParams () const
DetectorParams | getDetectorParams () const
void | operator() (const Mat &img, const Mat &mask, vector< KeyPoint > &keypoints, Mat &descriptors, bool useProvidedKeypoints=false) const
void | operator() (const Mat &img, const Mat &mask, vector< KeyPoint > &keypoints) const
| finds the keypoints using SIFT algorithm
| SIFT (double _threshold, double _edgeThreshold, int _nOctaves=CommonParams::DEFAULT_NOCTAVES, int _nOctaveLayers=CommonParams::DEFAULT_NOCTAVE_LAYERS, int _firstOctave=CommonParams::DEFAULT_FIRST_OCTAVE, int _angleMode=CommonParams::FIRST_ANGLE)
| sift-detector constructor
| SIFT ()
| SIFT (double _magnification, bool _isNormalize=true, bool _recalculateAngles=true, int _nOctaves=CommonParams::DEFAULT_NOCTAVES, int _nOctaveLayers=CommonParams::DEFAULT_NOCTAVE_LAYERS, int _firstOctave=CommonParams::DEFAULT_FIRST_OCTAVE, int _angleMode=CommonParams::FIRST_ANGLE)
| sift-descriptor constructor
| SIFT (const CommonParams &_commParams, const DetectorParams &_detectorParams=DetectorParams(), const DescriptorParams &_descriptorParams=DescriptorParams())
## Protected Attributes
CommonParams | commParams
DescriptorParams | descriptorParams
DetectorParams | detectorParams

## Detailed Description

SIFT implementation.

The class implements SIFT algorithm by D. Lowe.

## Constructor & Destructor Documentation

cv::SIFT::SIFT | ( | ) |

cv::SIFT::SIFT | ( | double | _threshold,
|  | double | _edgeThreshold,
|  | int | _nOctaves = `CommonParams::DEFAULT_NOCTAVES`,
|  | int | _nOctaveLayers = `CommonParams::DEFAULT_NOCTAVE_LAYERS`,
|  | int | _firstOctave = `CommonParams::DEFAULT_FIRST_OCTAVE`,
|  | int | _angleMode = `CommonParams::FIRST_ANGLE`
| ) |  |

sift-detector constructor

cv::SIFT::SIFT | ( | double | _magnification,
|  | bool | _isNormalize = `true`,
|  | bool | _recalculateAngles = `true`,
|  | int | _nOctaves = `CommonParams::DEFAULT_NOCTAVES`,
|  | int | _nOctaveLayers = `CommonParams::DEFAULT_NOCTAVE_LAYERS`,
|  | int | _firstOctave = `CommonParams::DEFAULT_FIRST_OCTAVE`,
|  | int | _angleMode = `CommonParams::FIRST_ANGLE`
| ) |  |

sift-descriptor constructor

cv::SIFT::SIFT | ( | const CommonParams & | _commParams,
|  | const DetectorParams & | _detectorParams = `DetectorParams()`,
|  | const DescriptorParams & | _descriptorParams = `DescriptorParams()`
| ) |  |

## Member Function Documentation

int cv::SIFT::descriptorSize | ( | ) | const`[inline]`

returns the descriptor size in floats (128)

CommonParams cv::SIFT::getCommonParams | ( | ) | const`[inline]`

DescriptorParams cv::SIFT::getDescriptorParams | ( | ) | const`[inline]`

DetectorParams cv::SIFT::getDetectorParams | ( | ) | const`[inline]`

void cv::SIFT::operator() | ( | const Mat & | img,
|  | const Mat & | mask,
|  | vector< KeyPoint > & | keypoints,
|  | Mat & | descriptors,
|  | bool | useProvidedKeypoints = `false`
| ) |  | const

finds the keypoints and computes descriptors for them using SIFT algorithm. Optionally it can compute descriptors for the user-provided keypoints

void cv::SIFT::operator() | ( | const Mat & | img,
|  | const Mat & | mask,
|  | vector< KeyPoint > & | keypoints
| ) |  | const

finds the keypoints using SIFT algorithm

## Member Data Documentation

CommonParams cv::SIFT::commParams`[protected]`

DescriptorParams cv::SIFT::descriptorParams`[protected]`

DetectorParams cv::SIFT::detectorParams`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines